Bug 124665 - missing defines and typedefs
missing defines and typedefs
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dietlibc (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-28 08:49 EDT by Harald Hoyer
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-01 15:36:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2004-05-28 08:49:21 EDT
to compile some apps with diet, I had to add this:
/* from stdio.h */
#define __FILE FILE
/* from sys/cdefs.h */
# define __BEGIN_NAMESPACE_STD
# define __END_NAMESPACE_STD
# define __USING_NAMESPACE_STD(name)
# define __BEGIN_NAMESPACE_C99
# define __END_NAMESPACE_C99
# define __USING_NAMESPACE_C99(name)
# define __attribute_pure__ __attribute__ ((__pure__))
/* from bits/types.h */
typedef char *caddr_t;

typedef unsigned char uchar;
typedef unsigned char u_char;
typedef unsigned short ushort;


maybe this should be part of the dietlibc headers..
Comment 1 Jeremy Katz 2004-06-01 15:36:19 EDT
ISTR that these are GNU extensions.  Felix is fairly against adding
GNU extensions in general, preferring that people use the real types.
Comment 2 Harald Hoyer 2004-06-02 04:29:19 EDT
well, then try to compile e.g. sed without those defines...

Note You need to log in before you can comment on or make changes to this bug.